GZDoom 4.8.0 released

News about ZDoom, its child ports, or any closely related projects.
[ZDoom Home] [Documentation (Wiki)] [Official News] [Downloads] [Discord]
[🔎 Google This Site]

Moderator: GZDoom Developers

User avatar
Rachael
Admin
Posts: 13102
Joined: Tue Jan 13, 2004 1:31 pm
Preferred Pronouns: She/Her

Re: GZDoom 4.8.0 released

Post by Rachael »

DLLs are not necessary, it uses IPC to communicate with Discord.

However even though this is a feature that you can disable in Discord directly, I was overruled in allowing it to be default turned on (as most games already do anyhow) - so you need to do i_discordrpc true in the console in order to enable it.

GZDoom is not detected by default in Discord not because of the lack of .dll's but because Discord are run by elitist arseholes who don't care in the least about GZDoom's existence - much less enough to automatically detect GZDoom running (even though it would be literally 5 lines of code on their end - 2 of which are curly braces and 1 of which is a blank line - probably because I don't run a server that gives them $1000 USD a month with needlessly excessive boosts).
Fritskrieg_v2
Posts: 1
Joined: Sun Oct 23, 2022 3:42 am
Preferred Pronouns: He/Him
Operating System Version (Optional): Windows 7
Graphics Processor: nVidia (Modern GZDoom)

Re: GZDoom 4.8.0 released

Post by Fritskrieg_v2 »

Oof... How install old opyions for new version?
User avatar
wildweasel
Moderator Team Lead
Posts: 21510
Joined: Tue Jul 15, 2003 7:33 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): Windows 10, 21H1
Graphics Processor: nVidia with Vulkan support

Re: GZDoom 4.8.0 released

Post by wildweasel »

Fritskrieg_v2 wrote: Sun Oct 23, 2022 3:47 am Oof... How install old opyions for new version?
It should work with any INI file you might have had on the old version.

If that doesn't solve whatever problem you're having, consider starting a new topic in Technical Issues instead of posting in this release thread.

Return to “ZDoom (and related) News”